Integration API
Integration API
Bestehende Systeme und kundenspezifische Abläufe mit menio verbinden.
https://integrationapi.qnips.comObtaining stores
Requesting a menu card
Grundlagen & vollständige Einführung
General Information
The menio Integration API can be used to obtain menu card information.
The menio backend (LIVE = production-environment, SANDBOX = test-environment) provides hierarchical information on brands, partnerships, sortiments, stores and menu cards.
To use this API, menio will provide you with an ApiKey. With it, the API will identify brand and partnerships automatically, so that it only provides the relevant sortiments, stores etc.
Multilanguage support in menu cards
The API is capable of delivering all strings relevant to menu card in different languages as long as the according translations are supplied via Menu Card Manager in menio Dashboard. In case there is no translation for a particular field (i.e. product name, allergen name, tag name etc.) the returned value will fall back to the default language.
In order to get menu card data in a particular language just set the Accept-Language-Header of the GET /Menus/{menuId} request described further below to a standardized value as specified in https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept-Language
Authorization
To authenticate to this API, an ApiKey is required. menio will provide you with an ApiKey consisting of a public identifier in GUID/UUID format and a secret key of the following format:
qnp_integration_{environment}_{key}
e.g.
qnp_integration_live_T6ePpfyoXuiaAW1djWxkzUdievYpuE87kMbwR5vJn0We1s8
To authenticate to the API the secret key needs to be sent as the Authorization header of your requests (no authorization scheme):
Authorization: qnp_integration_live_T6ePpfyoXuiaAW1djWxkzUdievYpuE87kMbwR5vJn0We1s8
For any matters concerning your ApiKey (for example deactivation, rotation, etc.) please provide menio with the public GUID/UUID identifier and not the secret key.